Skip to main content
`Ctrl`+`K`

# PETSCPARTITIONERPTSCOTCH

“ptscotch” - A PetscPartitioner object using the PT-Scotch library

## Options Database Keys

- -petscpartitioner_ptscotch_strategy <string> - PT-Scotch strategy. Choose one of default quality speed balance safety scalability recursive remap

- -petscpartitioner_ptscotch_imbalance <val> - Load imbalance ratio

Notes: when the graph is on a single process, this partitioner actually uses Scotch and not PT-Scotch

## See Also

`PetscPartitionerType`, `PetscPartitionerCreate()`, `PetscPartitionerSetType()`

## Level

intermediate

## Location

src/dm/partitioner/impls/ptscotch/partptscotch.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages